PTS_SLEEP(1)

NAME
pts_sleep - Pauses for a few seconds

SYNOPSIS
pts sleep [-delay] <# of seconds>
   [-cell] <cell name> [-noauth] [-localauth] [-force]

pts sl [-d] <# of seconds> [-c] <cell name>
   [-n] [-l] [-f]

DESCRIPTION
The pts sleep pauses for a specified number of seconds. The command can be run from the command line or interactively, although from the command line it's essentially equivalent to the sleep command. It is intended for use in interactive mode to pause for a few seconds between batch commands to allow the Protection Server to catch up.

CAUTIONS
Prior to OpenAFS 1.4.5 and OpenAFS 1.5.23, the pts sleep command was only available on Unix or Linux and when OpenAFS was compiled with the supergroups option (disabled by default). As of OpenAFS 1.4.5 and 1.5.23, it is always available.

OPTIONS
Although they have no effect, pts sleep takes the following standard pts options:

-cell <cell name>
    Names the cell in which to run the command. For more details, see pts(1).

-force
    Enables the command to continue executing as far as possible when errors or other problems occur, rather than halting execution at the first error.

-noauth
    Assigns the unprivileged identity anonymous to the issuer. For more details, see pts(1).

-localauth
    Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. Do not combine this flag with the -cell or -noauth options. For more details, see pts(1).

OUTPUT
This command produces no output.

EXAMPLES
Here is an example of a pts interactive session:

   % pts interactive
   pts> sleep 5
   pts> quit
   %

SEE ALSO
pts(1), pts_interactive(1)

COPYRIGHT
Copyright 2007 Jason Edgecombe <jason@rampaginggeek.com>

This documentation is covered by the BSD License as written in the doc/LICENSE file. This man page was written by Jason Edgecombe for OpenAFS.